Package org.opensaml.soap.wstrust

# Interface BinaryExchange

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSTrustObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `BinaryExchangeImpl`

public interface BinaryExchange extends XSString, AttributeExtensibleXMLObject, WSTrustObject
The wst:BinaryExchange element.

See Also:
  - "WS-Trust 1.3, Chapter 8.3 Binary Exchanges and Negotiations."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`ENCODING_TYPE_ATTRIB_NAME`
The EncodingType attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`VALUE_TYPE_ATTRIB_NAME`
The ValueType attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncodingType()`
Returns the EncodingType attribute value.
`String`
`getValueType()`
Returns the ValueType attribute URI value.
`void`
`setEncodingType(String newEncodingType)`
Sets the EncodingType attribute value.
`void`
`setValueType(String newValueType)`
Sets the ValueType attribute URI value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### VALUE_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALUE_TYPE_ATTRIB_NAME
The ValueType attribute name.

See Also:
  - Constant Field Values

### ENCODING_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String ENCODING_TYPE_ATTRIB_NAME
The EncodingType attribute name.

See Also:
  - Constant Field Values

## Method Details

### getValueType

@Nullable String getValueType()
Returns the ValueType attribute URI value.

Returns:
  the ValueType attribute value or `null`.

### setValueType

void setValueType(@Nullable String newValueType)
Sets the ValueType attribute URI value.

Parameters:
  `newValueType` - the ValueType attribute value.

### getEncodingType

@Nullable String getEncodingType()
Returns the EncodingType attribute value.

Returns:
  the EncodingType attribute value.

### setEncodingType

void setEncodingType(@Nullable String newEncodingType)
Sets the EncodingType attribute value.

Parameters:
  `newEncodingType` - the EncodingType attribute value.